CCfits::HDU::NoSuchKeyword Class Reference
FITS Exceptions

exception to be thrown on seek errors for keywords. More...

`#include <HDU.h>`

Inheritance diagram for CCfits::HDU::NoSuchKeyword:

## Public Member Functions

| NoSuchKeyword (const string &diag, bool silent=true)
| Exception ctor, prefixes the string "Fits Error: Keyword not found: " before the specific message. More...
Public Member Functions inherited from CCfits::FitsException
| FitsException (const string &msg, bool &silent)
const string & | message () const
| returns the error message More...

## Detailed Description

exception to be thrown on seek errors for keywords.

## Constructor & Destructor Documentation

CCfits::HDU::NoSuchKeyword::NoSuchKeyword | ( | const string & | diag,
|  | bool | silent = `true`
| ) |  |

Exception ctor, prefixes the string "Fits Error: Keyword not found: " before the specific message.

Parameters

  diag | A specific diagnostic message, usually the name of the keyword requested.
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- HDU.h
- HDU.cxx